# W programowaniu blok kodu oznacza sekwencję poleceń 
# ograniczoną nawiasami klamrowymi {} (w językach jak C, Java, JavaScript) 
# lub wcięciami (w Pythonie).
# 
# Służy do strukturyzowania kodu, np. w pętlach, warunkach czy funkcjach, 
# co ułatwia zarządzanie przepływem wykonania.

# pętla iteracyjna for

polka_z_danymi = ( "Adam", 1974, 195.8, True)

for pojedyncza_dana in polka_z_danymi:
    print("to się wykonuje")
    print("-------------------")
    print(f"{pojedyncza_dana=}")
    print("-------------------")
    
print("KONIEC")